Subject: Re: [Editorial Errata Reported] RFC7230 (5623)

From: Julian Reschke <[email-masked]>
Date: Fri, 22 Mar 2019 06:50:48 +0100

On 05.02.2019 17:11, RFC Errata System wrote:
> The following errata report has been submitted for RFC7230,
> "Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5623
>
> --------------------------------------
> Type: Editorial
> Reported by: Armin Abfalterer <[email-masked]>
>
> Section: 2.7
>
> Original Text
> -------------
> absolute-URI  = <absolute-URI, see [RFC3986], Section 4.3>
>
> Corrected Text
> --------------
>
>
> Notes
> -----
> RFC3986 defines "absolute-URI" very openly, especially regarding to "hier-part":
>
>        absolute-URI  = scheme ":" hier-part [ "?" query ]
>
>        hier-part   = "//" authority path-abempty
>                    / path-absolute
>                    / path-rootless
>                    / path-empty
>
> The impact is reflected in RFC 7231 in the definition of the header fields Referer and Content-Location.
>
>        absolute-URI = <absolute-URI, see [RFC7230], Section 2.7>
>
> Thus, following examples of header values are considered valid
>
> Referer: https:foo/bar
> Referer: https:/foo
> Referer: https:/
> Referer: foo:/
>
> I'd suggest to define "hier-part" (but also "scheme") more strictly.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC7230 (draft-ietf-httpbis-p1-messaging-26)
> --------------------------------------
> Title               : Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing
> Publication Date    : June 2014
> Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
> Category            : PROPOSED STANDARD
> Source              : Hypertext Transfer Protocol Bis APP
> Area                : Applications
> Stream              : IETF
> Verifying Party     : IESG

Lacking any new information, can we please resolve this one as "rejected"?

Best regards, Julian